picard.analysis.directed

## Class CollectHsMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.directed.CollectTargetedMetrics<HsMetrics,HsMetricCollector>
    - - picard.analysis.directed.CollectHsMetrics

- Direct Known Subclasses:
    CalculateHsMetrics

      public class CollectHsMetrics
      extends CollectTargetedMetrics<HsMetrics,HsMetricCollector>

  Collects a set of HS metrics from a sam or bam file. See HsMetricsCollector and CollectTargetedMetrics for more details.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<File>` | `BAIT_INTERVALS`
    `String` | `BAIT_SET_NAME`
    `boolean` | `CLIP_OVERLAPPING_READS`
    `int` | `MINIMUM_BASE_QUALITY`
    `int` | `MINIMUM_MAPPING_QUALITY`

    - ### Fields inherited from class picard.analysis.directed.CollectTargetedMetrics

      `COVERAGE_CAP, INPUT, METRIC_ACCUMULATION_LEVEL, NEAR_DISTANCE, OUTPUT, PER_BASE_COVERAGE, PER_TARGET_COVERAGE, SAMPLE_SIZE, TARGET_INTERVALS`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectHsMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected htsjdk.samtools.util.IntervalList` | `getProbeIntervals()`
    `protected String` | `getProbeSetName()`
    `static void` | `main(String[] argv)` Stock main method.

    `protected HsMetricCollector`

    `makeCollector(Set<MetricAccumulationLevel> accumulationLevels, List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords, htsjdk.samtools.reference.ReferenceSequenceFile refFile, File perTargetCoverage, File perBaseCoverage, htsjdk.samtools.util.IntervalList targetIntervals, htsjdk.samtools.util.IntervalList probeIntervals, String probeSetName, int nearProbeDistance)`
    A factory method for the TargetMetricsCollector to use this time.

    - ### Methods inherited from class picard.analysis.directed.CollectTargetedMetrics

      `customCommandLineValidation, doWork`

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BAIT_INTERVALS

          @Option(shortName="BI",
                  doc="An interval list file that contains the locations of the baits used.",
                  minElements=1)
          public List<File> BAIT_INTERVALS

    - #### BAIT_SET_NAME

          @Option(shortName="N",
                  doc="Bait set name. If not provided it is inferred from the filename of the bait intervals.",
                  optional=true)
          public String BAIT_SET_NAME

    - #### MINIMUM_MAPPING_QUALITY

          @Option(shortName="MQ",
                  doc="Minimum mapping quality for a read to contribute coverage.",
                  overridable=true)
          public int MINIMUM_MAPPING_QUALITY

    - #### MINIMUM_BASE_QUALITY

          @Option(shortName="Q",
                  doc="Minimum base quality for a base to contribute coverage.",
                  overridable=true)
          public int MINIMUM_BASE_QUALITY

    - #### CLIP_OVERLAPPING_READS

          @Option(doc="True if we are to clip overlapping reads, false otherwise.",
                  optional=true,
                  overridable=true)
          public boolean CLIP_OVERLAPPING_READS

  - ### Constructor Detail

    - #### CollectHsMetrics

          public CollectHsMetrics()

  - ### Method Detail

    - #### getProbeIntervals

          protected htsjdk.samtools.util.IntervalList getProbeIntervals()

      Specified by:
        `getProbeIntervals` in class `CollectTargetedMetrics<HsMetrics,HsMetricCollector>`

    - #### getProbeSetName

          protected String getProbeSetName()

      Specified by:
        `getProbeSetName` in class `CollectTargetedMetrics<HsMetrics,HsMetricCollector>`

    - #### main

          public static void main(String[] argv)

      Stock main method.

    - #### makeCollector

          protected HsMetricCollector makeCollector(Set<MetricAccumulationLevel> accumulationLevels,
                                                    List<htsjdk.samtools.SAMReadGroupRecord> samRgRecords,
                                                    htsjdk.samtools.reference.ReferenceSequenceFile refFile,
                                                    File perTargetCoverage,
                                                    File perBaseCoverage,
                                                    htsjdk.samtools.util.IntervalList targetIntervals,
                                                    htsjdk.samtools.util.IntervalList probeIntervals,
                                                    String probeSetName,
                                                    int nearProbeDistance)

      Description copied from class: `CollectTargetedMetrics`
      A factory method for the TargetMetricsCollector to use this time. Examples of TargetMetricsCollector: (TargetedPcrMetricsCollector, HsMetricsCalculator)
      Specified by:
        `makeCollector` in class `CollectTargetedMetrics<HsMetrics,HsMetricCollector>`
      Returns:
        A TargetMetricsCollector to which we will pass SAMRecords